* {
    box-sizing: border-box;
}


body{
    margin: 0;
}

.container {
    max-width: 100%;
    margin: 0 auto;
    border : 0;
    border-radius: 8px;
}

@media (min-width: 576px) {
  .container {
    max-width: 540px;
  }
}

@media (min-width: 768px) {
  .container {
    max-width: 720px;
  }
}

@media (min-width: 992px) {
  .container {
    max-width: 960px;
  }
}

@media (min-width: 1200px) {
  .container {
    max-width: 1140px;
  }
}

.row {
    display: flex;
    flex-wrap: wrap; 
}

.container-fluid {
    width: 100%;
}

.col-1, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-10, .col-11, .col-12, 
.col-sm-1, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm,
.col-md-1, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-10, .col-md-11, .col-md-12, .col-md,
.col-lg-1, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg,
.col-xl-1, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-10, .col-xl-11, .col-xl-12, .col-xl
{
  padding: 0 1.5rem;
  width : 100%;
}

.col-1 {
    flex-basis: calc(1/12*100%);
}
.col-2 {
    flex-basis: calc(2/12*100%);
}
.col-3 {
    flex-basis: 25%;
}
.col-4 {
    flex-basis: calc(4/12*100%);
}
.col-5 {
    flex-basis: calc(5/12*100%);
}
.col-6 {
    flex-basis: 50%;
}
.col-7 {
    flex-basis: calc(7/12*100%);
}
.col-8 {
    flex-basis: calc(8/12*100%);
}
.col-9 {
    flex-basis: 75%;
}
.col-10 {
    flex-basis: calc(10/12*100%);
}
.col-11 {
    flex-basis: calc(11/12*100%);
}
.col-12 {
    flex-basis: 100%;
}

.offset-1 {
  margin-left: calc(1/12*100%);
}

.offset-2 {
  margin-left: calc(2/12*100%);
}

.offset-3 {
  margin-left: 25%;
}

.offset-4 {
  margin-left: calc(4/12*100%);
}

.offset-5 {
  margin-left: calc(5/12*100%);
}

.offset-6 {
  margin-left: 50%;
}

.offset-7 {
  margin-left: calc(7/12*100%);
}

.offset-8 {
  margin-left: calc(8/12*100%);
}

.offset-9 {
  margin-left: 75%;
}

.offset-10 {
  margin-left: calc(10/12*100%);
}

.offset-11 {
  margin-left: calc(11/12*100%);
}

.offset-12 {
  margin-left: 100%;
}

/* Ecran téléphone */
@media (min-width: 576px) {
    .col-sm-1 {
      flex-basis: calc(1/12*100%);
      max-width: calc(1/12*100%);
    }
    .col-sm-2 {
      flex-basis: calc(2/12*100%);
      max-width: calc(2/12*100%);
    }
    .col-sm-3 {
      flex-basis: 25%;
      max-width: 25%;
    }
    .col-sm-4 {
      flex-basis: calc(4/12*100%);
      max-width: calc(4/12*100%);
    }
    .col-sm-5 {
      flex-basis: calc(5/12*100%);
      max-width: calc(5/12*100%);
    }
    .col-sm-6 {
      flex-basis: 50%;
      max-width: 50%;
    }
    .col-sm-7 {
      flex-basis: calc(7/12*100%);
      max-width: calc(7/12*100%);
    }
    .col-sm-8 {
      flex-basis: calc(8/12*100%);
      max-width: calc(8/12*100%);
    }
    .col-sm-9 {
      flex-basis: 75%;
      max-width: 75%;
    }
    .col-sm-10 {
      flex-basis: calc(10/12*100%);
      max-width: calc(10/12*100%);
    }
    .col-sm-11 {
      flex-basis: calc(11/12*100%);
      max-width: calc(11/12*100%);
    }
    .col-sm-12 {
      flex-basis: 100%;
      max-width: 100%;
    }
	.offset-sm-1 {
	  margin-left: calc(1/12*100%);
	}

	.offset-sm-2 {
	  margin-left: calc(2/12*100%);
	}

	.offset-sm-3 {
	  margin-left: 25%;
	}

	.offset-sm-4 {
	  margin-left: calc(4/12*100%);
	}

	.offset-sm-5 {
	  margin-left: calc(5/12*100%);
	}

	.offset-sm-6 {
	  margin-left: 50%;
	}

	.offset-sm-7 {
	  margin-left: calc(7/12*100%);
	}

	.offset-sm-8 {
	  margin-left: calc(8/12*100%);
	}

	.offset-sm-9 {
	  margin-left: 75%;
	}

	.offset-sm-10 {
	  margin-left: calc(10/12*100%);
	}

	.offset-sm-11 {
	  margin-left: calc(11/12*100%);
	}

	.offset-sm-12 {
	  margin-left: 100%;
	}
}

/* Ecran tablette */
@media (min-width: 768px) {
    .col-md-1 {
      flex-basis: calc(1/12*100%);
      max-width: calc(1/12*100%);
    }
    .col-md-2 {
      flex-basis: calc(2/12*100%);
      max-width: calc(2/12*100%);
    }
    .col-md-3 {
      flex-basis: 25%;
      max-width: 25%;
    }
    .col-md-4 {
      flex-basis: calc(4/12*100%);
      max-width: calc(4/12*100%);
    }
    .col-md-5 {
      flex-basis: calc(5/12*100%);
      max-width: calc(5/12*100%);
    }
    .col-md-6 {
      flex-basis: 50%;
      max-width: 50%;
    }
    .col-md-7 {
      flex-basis: calc(7/12*100%);
      max-width: calc(7/12*100%);
    }
    .col-md-8 {
      flex-basis: calc(8/12*100%);
      max-width: calc(8/12*100%);
    }
    .col-md-9 {
      flex-basis: 75%;
      max-width: 75%;
    }
    .col-md-10 {
      flex-basis: calc(10/12*100%);
      max-width: calc(10/12*100%);
    }
    .col-md-11 {
      flex-basis: calc(11/12*100%);
      max-width: calc(11/12*100%);
    }
    .col-md-12 {
      flex-basis: 100%;
      max-width: 100%;
    }
	.offset-md-1 {
	  margin-left: calc(1/12*100%);
	}

	.offset-md-2 {
	  margin-left: calc(2/12*100%);
	}

	.offset-md-3 {
	  margin-left: 25%;
	}

	.offset-md-4 {
	  margin-left: calc(4/12*100%);
	}

	.offset-md-5 {
	  margin-left: calc(5/12*100%);
	}

	.offset-md-6 {
	  margin-left: 50%;
	}

	.offset-md-7 {
	  margin-left: calc(7/12*100%);
	}

	.offset-md-8 {
	  margin-left: calc(8/12*100%);
	}

	.offset-md-9 {
	  margin-left: 75%;
	}

	.offset-md-10 {
	  margin-left: calc(10/12*100%);
	}

	.offset-md-11 {
	  margin-left: calc(11/12*100%);
	}

	.offset-md-12 {
	  margin-left: 100%;
	}
}

/* Ecran laptop */
@media (min-width: 992px) {
    .col-lg-1 {
      flex-basis: calc(1/12*100%);
      max-width: calc(1/12*100%);
    }
    .col-lg-2 {
      flex-basis: calc(2/12*100%);
      max-width: calc(2/12*100%);
    }
    .col-lg-3 {
      flex-basis: 25%;
      max-width: 25%;
    }
    .col-lg-4 {
      flex-basis: calc(4/12*100%);
      max-width: calc(4/12*100%);
    }
    .col-lg-5 {
      flex-basis: calc(5/12*100%);
      max-width: calc(5/12*100%);
    }
    .col-lg-6 {
      flex-basis: 50%;
      max-width: 50%;
    }
    .col-lg-7 {
      flex-basis: calc(7/12*100%);
      max-width: calc(7/12*100%);
    }
    .col-lg-8 {
      flex-basis: calc(8/12*100%);
      max-width: calc(8/12*100%);
    }
    .col-lg-9 {
      flex-basis: 75%;
      max-width: 75%;
    }
    .col-lg-10 {
      flex-basis: calc(10/12*100%);
      max-width: calc(10/12*100%);
    }
    .col-lg-11 {
      flex-basis: calc(11/12*100%);
      max-width: calc(11/12*100%);
    }
    .col-lg-12 {
      flex-basis: 100%;
      max-width: 100%;
    }
	.offset-lg-1 {
	  margin-left: calc(1/12*100%);
	}

	.offset-lg-2 {
	  margin-left: calc(2/12*100%);
	}

	.offset-lg-3 {
	  margin-left: 25%;
	}

	.offset-lg-4 {
	  margin-left: calc(4/12*100%);
	}

	.offset-lg-5 {
	  margin-left: calc(5/12*100%);
	}

	.offset-lg-6 {
	  margin-left: 50%;
	}

	.offset-lg-7 {
	  margin-left: calc(7/12*100%);
	}

	.offset-lg-8 {
	  margin-left: calc(8/12*100%);
	}

	.offset-lg-9 {
	  margin-left: 75%;
	}

	.offset-lg-10 {
	  margin-left: calc(10/12*100%);
	}

	.offset-lg-11 {
	  margin-left: calc(11/12*100%);
	}

	.offset-lg-12 {
	  margin-left: 100%;
	}
}

/* Grand écran */
@media (min-width: 1200px) {
    .col-xl-1 {
      flex-basis: calc(1/12*100%);
      max-width: calc(1/12*100%);
    }
    .col-xl-2 {
      flex-basis: calc(2/12*100%);
      max-width: calc(2/12*100%);
    }
    .col-xl-3 {
      flex-basis: 25%;
      max-width: 25%;
    }
    .col-xl-4 {
      flex-basis: calc(4/12*100%);
      max-width: calc(4/12*100%);
    }
    .col-xl-5 {
      flex-basis: calc(5/12*100%);
      max-width: calc(5/12*100%);
    }
    .col-xl-6 {
      flex-basis: 50%;
      max-width: 50%;
    }
    .col-xl-7 {
      flex-basis: calc(7/12*100%);
      max-width: calc(7/12*100%);
    }
    .col-xl-8 {
      flex-basis: calc(8/12*100%);
      max-width: calc(8/12*100%);
    }
    .col-xl-9 {
      flex-basis: 75%;
      max-width: 75%;
    }
    .col-xl-10 {
      flex-basis: calc(10/12*100%);
      max-width: calc(10/12*100%);
    }
    .col-xl-11 {
      flex-basis: calc(11/12*100%);
      max-width: calc(11/12*100%);
    }
    .col-xl-12 {
      flex-basis: 100%;
      max-width: 100%;
    }
	.offset-xl-1 {
	  margin-left: calc(1/12*100%);
	}

	.offset-xl-2 {
	  margin-left: calc(2/12*100%);
	}

	.offset-xl-3 {
	  margin-left: 25%;
	}

	.offset-xl-4 {
	  margin-left: calc(4/12*100%);
	}

	.offset-xl-5 {
	  margin-left: calc(5/12*100%);
	}

	.offset-xl-6 {
	  margin-left: 50%;
	}

	.offset-xl-7 {
	  margin-left: calc(7/12*100%);
	}

	.offset-xl-8 {
	  margin-left: calc(8/12*100%);
	}

	.offset-xl-9 {
	  margin-left: 75%;
	}

	.offset-xl-10 {
	  margin-left: calc(10/12*100%);
	}

	.offset-xl-11 {
	  margin-left: calc(11/12*100%);
	}

	.offset-xl-12 {
	  margin-left: 100%;
	}
}
